## helma.util
Class CryptFile

    java.lang.Object
      helma.util.CryptFile

    public class CryptFile

extends java.lang.Object

This file authenticates against a passwd file

Constructor Summary
`CryptFile(java.io.File file, CryptFile parentFile)` Creates a new CryptFile object.

Method Summary
`boolean` `authenticate(java.lang.String username, java.lang.String pw)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CryptFile

    public CryptFile(java.io.File file,
                     CryptFile parentFile)

  Creates a new CryptFile object.

  Parameters:
    `file` - ...
    `parentFile` - ...

Method Detail

### authenticate

    public boolean authenticate(java.lang.String username,
                                java.lang.String pw)

  Parameters:
    `username` - ...
    `pw` - ...
  Returns:
    ...

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.